I pulled a bounding box macro from some of the fine folks here. Does he anybody have a macro that will annotate the bounding box length, height and width of the box with dimensional annotations?
Thanks.
This seems really trival but I'm trying to change the value of a dimension that has been selected and rebuild the part.
Here is snap shot of the code where I prompt the user to select a dimension. In the code I can retrieve the current value, but no I'm struggling with changing that value...
I created a macro that searches the tree for a particular item and suppresses it. What I would like to do in my macro is query whether the feature is suppressed or not, then suppress or unsuppress the flat pattern based on the state of the previous feature.
I should mention I would like the...
I'm trying to switch to a predefined view in a part before the body of the macro executes. Here is the start of the macro.
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
Set SelMgr = Part.SelectionManager
boolstatus = Part.Extension.SelectByID2("Sketch2", "SKETCH"...
Hi All,
I have a macro that reads a custom property from a part and then runs a routine on it to acquire another value. This value then needs to get set as another custom property. I have what I think works the first time if the custom property does not exits. It fails to rewrite the custom...
I'm in need of macro that will query a custom property then fire up an worksheet in excel. The macro would then lookup that value and return another value in that same row and assign it to another custom property. I've found many macros but they all seem to do the reverse. Toolworks is a good...
So i had this macro working a couple months ago and now it has a compile error. Object library feature not supported. This is almost a straight copy from API help files. Thanks.
Dim swApp As Object
'-----------------------------------------------------
'
' Preconditions: Drawing document is...
I'm in need a what i think is a fairly simple macro. The macro would simply plot the drawing sheet to a prn file (check print to file box in the print dialog box)in the directory that the drawing file resides. I went to record a macro to do this but once the print dialog box comes up...
I'm trying to link a note to a drawing view name. For instance, I created a custom view and named it upclose. I've placed this custom view on a drawing, now I would like to link a note to view name "upclose". I can't find/remember if there is a property assoicated with these anmes. Cheers!
Look for a tool that will take all sketches in a loft and extracts those into seperate part files, placing the sketch on one of the standard default planes. What I am trying to do is making easier to create drawing sheets for each profile in a loft without having to create custom views and turn...
Okay API gurus,
I'm looking for a macro that will print the results of the measurement dialog box with out having to select all the text, copy, open notepad, paste, print. Similar functionality can be found in a sketch. When your in a sketch, hit print button, go find the print out. Thanks.
I'm looking for some help in creating a macro that will start a sketch on a preselected face and offset a preselected loop and extrude the new sketch x number of units. I've created a macro but macro becomes attached to that specific face on that specific part. A little guidance should be...
Looking for a solution that will allow me to use Font as single lines for machining purposes. Every font in solidworks comes in with outlines. My CNC programmers hate this, because it requires extra programming and machining time. Anybody else with this issue and what have you done /used to...
I have customer who can't import my solidmodel because of its 68mb size. I've cleaned the file up so that all dangling surfaces and solid have been deleted. Is there anyway to turn this solid into surfaces? This is complex model with very complicated pattern, so therefore knitting each...
Anyway to put a length dimension of a curve that was converted from a surface in a drawing. They shop guys are wanting to measure across a surface a certain distance on that spline/curve. They will do it very crude tape measure style.
I have a few sketchs in an assembly file, now I would like to use the those sketches to build a surface for an additional part. I would rather not just copy the sketches into a new part though. Retrospec is 2020, I should have imported these parts in a part file, but this wasn't the intent...